Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xml.utils
Class XMLTransformerHelper

    java.lang.Object
      com.ejie.r01f.xml.utils.XMLTransformerHelper

public class XMLTransformerHelper
extends java.lang.Object

Clase de utilidad para realizar transformaciones de XMLs

Constructor Summary
`XMLTransformerHelper()` Construcotr vacio

Method Summary
`static void` | `applyXSLtoXML(java.io.InputStream xmlIs, java.io.InputStream xslIs, java.util.Properties transformerParams, java.io.OutputStream xmlOut)` Aplica una plantilla xsl a un xml
`static void` | `main(java.lang.String[] args)` Main Method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLTransformerHelper

    public XMLTransformerHelper()

  Construcotr vacio

Method Detail

### applyXSLtoXML

    public static void applyXSLtoXML(java.io.InputStream xmlIs,
                                     java.io.InputStream xslIs,
                                     java.util.Properties transformerParams,
                                     java.io.OutputStream xmlOut)
                              throws javax.xml.transform.TransformerException

  Aplica una plantilla xsl a un xml

  Parameters:
    `xmlIs` - inputStream al xml a transformar
    `xslIs` - inputStream al xsl
    `transformerParams` - parametros de la transformación
    `xmlOut` - outputstream al xml transformado
  Throws:
    `javax.xml.transform.TransformerException` - si ocurre un error durante la transformación

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD